<?php
require_once __DIR__.'/../app/helpers.php';

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Middleware;
use Illuminate\Foundation\Configuration\Exceptions;
use App\Http\Middleware\AuthenticateSession;
return Application::configure(basePath:dirname(__DIR__))
 ->withRouting(web:__DIR__.'/../routes/web.php',api:__DIR__.'/../routes/api.php',commands:__DIR__.'/../routes/console.php',health:'/up')
 ->withMiddleware(function(Middleware $middleware){
    $middleware->alias([
        'session.auth' => AuthenticateSession::class,
        'permission'   => \App\Http\Middleware\CheckPermission::class,
    ]);
 })
 ->withExceptions(fn(Exceptions $exceptions)=>null)->create();
